Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clientsCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clientsCtrl.js	(revision 12515)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/clientsCtrl.js	(revision 12516)
@@ -2,6 +2,48 @@
     var module = appStatisticsPlugin.getAngularModule();
     module.controller('app.statistics.clientsCtrl',
-        ['$scope', 'app.statistics.data.service', function($scope, statisticsService) {
-            
+        ['$scope', '$interval', 'app.statistics.clientService',
+        function ($scope, $interval, clientService) {
+            $scope.interval = defaultPageUpdateInterval;
+            $scope.curClientsPage = 1;
+            $scope.clientsPageSize = 20;
+            $scope.curExpiredClientsPage = 1;
+            $scope.expiredClientsPageSize = 20;
+
+            var getClients = function () {
+                clientService.getClients({ page: $scope.curClientsPage, size: $scope.clientsPageSize, expired: false },
+                    function (clientPage) {
+                        $scope.clientPage = clientPage;
+                    }
+                );
+            };
+
+            var getExpiredClients = function() {
+                clientService.getClients({ page: $scope.curExpiredClientsPage, size: $scope.expiredClientsPageSize, expired: true },
+                    function (clientPage) {
+                        $scope.expiredClientPage = clientPage;
+                    }
+                );
+            };
+
+            var update = function () {
+                getClients();
+                getExpiredClients();
+            };
+
+            $scope.changeClientsPage = function () {
+                update();
+            };
+
+            $scope.changeExpiredClientsPage = function () {
+                update();
+            };
+
+            $scope.updateInterval = $interval(update, $scope.interval);
+            var cancelInterval = $scope.$on('$locationChangeSuccess', function () {
+                $interval.cancel($scope.updateInterval);
+                cancelInterval();
+            });
+            update(); // init page
+
         }]
     );
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetails.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetails.cshtml	(revision 12516)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetails.cshtml	(revision 12516)
@@ -0,0 +1,320 @@
+﻿@using HeuristicLab.Services.Access.DataTransfer
+@using HeuristicLab.Services.Hive
+<header class="view-header">
+    <ul class="nav nav-list nav-list-topbar pull-left">
+        <li>
+            <a ng-href="#/statistics/jobs">Jobs</a>
+        </li>
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/users">Users</a>
+            </li>
+        }
+        <li class="active">
+            <a ng-href="#/statistics/clients">Clients</a>
+        </li>
+    </ul>
+</header>
+
+<div class="default-view-container">
+    <div class="row">
+        <div class="col-lg-9 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Client Details</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="row">
+                        <div class="col-md-6">
+                            <table class="table table-no-border table-condensed table-auto-width table-content">
+                                <tr>
+                                    <td class="text-left">Name:</td>
+                                    <td>{{client.Name}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Group:</td>
+                                    <td ng-show="client.GroupName">{{client.GroupName}}</td>
+                                    <td ng-hide="client.GroupName">None</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">State:</td>
+                                    <td>{{client.State}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Up Time:</td>
+                                    <td>{{client.UpTime}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Last Update:</td>
+                                    <td>{{client.LastUpdate}}</td>
+                                </tr>
+                            </table>
+                        </div>
+                        <div class="col-md-6">
+                            <table class="table table-no-border table-condensed table-auto-width table-content">
+                                <tr>
+                                    <td class="text-left">Total Unavailable Time:</td>
+                                    <td class="text-right">{{client.TotalUnavailableTime}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Calculating Time:</td>
+                                    <td class="text-right">{{client.TotalCalculatingTime}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Idle Time:</td>
+                                    <td class="text-right">{{client.TotalIdleTime}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Transferring Time:</td>
+                                    <td class="text-right">{{client.TotalTransferringTime}}</td>
+                                </tr>
+                                <tr>
+                                    <td class="text-left">Total Offline Time:</td>
+                                    <td class="text-right">{{client.TotalOfflineTime}}</td>
+                                </tr>
+                            </table>
+                        </div>
+                    </div>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Tasks Overview</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{totalClientTasks}}</td>
+                        </tr>
+                        <tr ng-repeat="state in states">
+                            <td class="text-left">{{state.State}}:</td>
+                            <td class="text-right">{{state.Count}}</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Cores</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.cores" knob-options="knobOptions"></knob>
+                    </div>
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{client.TotalCores | number}}</td>
+                        </tr>
+                        <tr>
+                            <td class="text-left">Used:</td>
+                            <td class="text-right">{{client.UsedCores | number}}</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">CPU Utilization</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.cpu" knob-options="knobOptions"></knob>
+                    </div>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Memory</h3>
+                </div>
+                <div class="panel-body">
+                    <div class="text-center">
+                        <knob knob-data="knobData.memory" knob-options="knobOptions"></knob>
+                    </div>
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{client.TotalMemory | number}} GB</td>
+                        </tr>
+                        <tr>
+                            <td class="text-left">Used:</td>
+                            <td class="text-right">{{client.UsedMemory | number}} GB</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+
+    </div>
+</div>
+
+<div id="tasks-filter" class="default-filter-header text-center">
+    <form class="form-inline">
+        <div class="form-group">
+            <div class="btn-group" data-toggle="buttons">
+                <label class="btn btn-default" ng-class="{active: state.Selected}" ng-repeat="state in states"
+                       ng-click="filterTaskState(state)">
+                    <input type="checkbox" autocomplete="off" checked> {{state.State}}
+                </label>
+            </div>
+        </div>
+    </form>
+</div>
+
+ <div class="default-view-container">
+     <div id="taskListContainer" class="row" ng-show="taskPage.Tasks.length">
+         <div class="col-lg-4 col-md-4" ng-repeat="task in taskPage.Tasks">
+             <div class="panel panel-default">
+                 @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+                    <div class="panel-heading cursor-pointer" ng-click="openDialog(($index + 1)+((curTaskPage-1)*(taskPageSize)), task)">
+                        <h3 class="panel-title" style="display: inline">Task {{($index + 1)+((curTaskPage-1)*(taskPageSize))}}</h3>
+                        <span ng-if="task.State == 'Finished'" class="label label-success" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State == 'Aborted' || task.State == 'Failed'" class="label label-danger" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State == 'Waiting'" class="label label-warning" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State != 'Waiting' && task.State != 'Failed' && task.State != 'Aborted' && task.State != 'Finished'" class="label label-default" style="float: right;">{{task.State}}</span>
+                    </div>
+                 } else {
+                    <div class="panel-heading">
+                        <h3 class="panel-title" style="display: inline">Task {{($index + 1)+((curTaskPage-1)*(taskPageSize))}}</h3>
+                        <span ng-if="task.State == 'Finished'" class="label label-success" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State == 'Aborted' || task.State == 'Failed'" class="label label-danger" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State == 'Waiting'" class="label label-warning" style="float: right;">{{task.State}}</span>
+                        <span ng-if="task.State != 'Waiting' && task.State != 'Failed' && task.State != 'Aborted' && task.State != 'Finished'" class="label label-default" style="float: right;">{{task.State}}</span>
+                    </div>
+                 }
+                 
+                 <div class="panel-body">
+                     <table class="table table-condensed table-no-border table-auto-width">
+                         @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator))
+                         {
+                             <tr>
+                                 <td colspan="2"><span data-fittext="0.99">{{task.Id}}</span></td>
+                             </tr>
+                         }
+                         <tr>
+                             <td>Start Time:</td>
+                             <td class="text-right">{{task.StartTime}}</td>
+                         </tr>
+                         <tr>
+                             <td>End Time:</td>
+                             <td class="text-right">{{task.EndTime}}</td>
+                         </tr>
+                         <tr>
+                             <td>Calculating Time:</td>
+                             <td class="text-right">{{task.CalculatingTime}}</td>
+                         </tr>
+                         @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator))
+                         {
+                             <tr>
+                                 <td>User:</td>
+                                 <td class="text-right">
+                                     <a ng-href="#/statistics/users/{{task.UserId}}" ng-show="task.UserName">{{task.UserName}}</a>
+                                     <span ng-hide="task.UserName">Unknown</span>
+                                 </td>
+                             </tr>
+                             <tr>
+                                 <td>Job:</td>
+                                 <td class="text-right">
+                                     <a ng-href="#/statistics/jobs/{{task.JobId}}" ng-show="task.JobName">{{task.JobName}}</a>
+                                     <span ng-hide="task.JobName">Unknown</span>
+                                 </td>
+                             </tr>
+                         }
+                     </table>
+                 </div>
+
+             </div>
+         </div>
+     </div>
+     <div ng-hide="taskPage.Tasks.length">
+         <p class="text-center">Please select at least one state!</p>
+     </div>
+     <div class="row text-center" ng-show="taskPage.TotalTasks > taskPage.Tasks.length">
+         <pagination max-size="10" total-items="taskPage.TotalTasks" ng-model="curTaskPage" ng-change="changeTaskPage()" items-per-page="taskPageSize"
+                     boundary-links="true" rotate="false" num-pages="numPages"></pagination>
+     </div>
+ </div>
+
+ <div class="default-filter-header text-center">
+     <form class="form-inline">
+         <div class="form-group">
+             <label for="fromDate">From:&nbsp;</label>
+             <div class="input-group">
+                 <input id="fromDate" type="text" class="form-control" datepicker-popup="dd.MM.yyyy" ng-model="fromDate" is-open="fromIsOpen" datepicker-options="dateOptions" ng-required="true" close-text="Close" />
+                 <span class="input-group-btn">
+                     <button type="button" class="btn btn-default" ng-click="openFromDateSelection($event)"><i class="glyphicon glyphicon-calendar"></i></button>
+                 </span>
+             </div>
+         </div>
+         <div class="form-group">
+             <label for="fromDate">&nbsp;&nbsp;To:&nbsp;</label>
+             <div class="input-group">
+                 <input id="fromDate" type="text" class="form-control" datepicker-popup="dd.MM.yyyy" ng-model="toDate" is-open="toIsOpen" datepicker-options="dateOptions" ng-required="true" close-text="Close"/>
+                 <span class="input-group-btn">
+                     <button type="button" class="btn btn-default" ng-click="openToDateSelection($event)"><i class="glyphicon glyphicon-calendar"></i></button>
+                 </span>
+             </div>
+         </div>
+         <div class="btn-group">
+             <label class="btn btn-default" ng-click="updateCharts()">
+                 Apply
+             </label>
+         </div>
+     </form>
+ </div>
+
+ <div class="default-view-container">
+     <div class="row">
+         <div class="col-lg-12">
+             <div class="panel panel-default">
+                 <div class="panel-heading">
+                     <h3 class="panel-title">CPU Utilization Chart</h3>
+                 </div>
+                 <div class="panel-body">
+                     <flot dataset="cpuSeries" options="chartOptions"></flot>
+                 </div>
+             </div>
+         </div>
+     </div>
+
+     <div class="row">
+         <div class="col-lg-12">
+             <div class="panel panel-default">
+                 <div class="panel-heading">
+                     <h3 class="panel-title">Core Chart</h3>
+                 </div>
+                 <div class="panel-body">
+                     <flot dataset="coreSeries" options="fillChartOptions"></flot>
+                 </div>
+             </div>
+         </div>
+     </div>
+
+     <div class="row">
+         <div class="col-lg-12">
+             <div class="panel panel-default">
+                 <div class="panel-heading">
+                     <h3 class="panel-title">Memory Chart</h3>
+                 </div>
+                 <div class="panel-body">
+                     <flot dataset="memorySeries" options="fillChartOptions"></flot>
+                 </div>
+             </div>
+         </div>
+     </div>
+ </div>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js	(revision 12516)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/clients/details/clientDetailsCtrl.js	(revision 12516)
@@ -0,0 +1,257 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    module.controller('app.statistics.clientDetailsCtrl',
+        ['$scope', '$stateParams', '$interval', 'app.statistics.clientService', 'app.statistics.taskService', '$modal',
+        function ($scope, $stateParams, $interval, clientService, taskService, $modal) {
+            $scope.interval = defaultPageUpdateInterval;
+            $scope.curTaskPage = 1;
+            $scope.taskPageSize = 12;
+
+            // details
+            $scope.knobOptions = {
+                'fgColor': "#f7921d",
+                'angleOffset': -125,
+                'angleArc': 250,
+                'readOnly': true,
+                'width': "80%",
+                'targetvalue': "100",
+                'format': function (value) {
+                    return value;
+                },
+                draw: function () {
+                    $(this.i).val(this.cv + '%');
+                }
+            };
+
+            $scope.knobData = {
+                cores: 0,
+                cpu: 0,
+                memory: 0
+            };
+
+            var getClientDetails = function () {
+                clientService.getClientDetails({ id: $stateParams.id }, function (client) {
+                    $scope.client = client;
+                    $scope.client.TotalMemory = Math.round($scope.client.TotalMemory / 1024);
+                    $scope.client.UsedMemory = Math.round($scope.client.UsedMemory / 1024);
+                    $scope.knobData.cores = (client.UsedCores / client.TotalCores) * 100;
+                    $scope.knobData.cpu = client.CpuUtilization;
+                    $scope.knobData.memory = (client.UsedMemory / client.TotalMemory) * 100;
+                    $scope.client.LastUpdate = CSharpDateToString($scope.client.LastUpdate);
+                    $scope.client.UpTime = $scope.client.UpTime.toHHMMSS();
+                    $scope.client.TotalUnavailableTime = $scope.client.TotalUnavailableTime.toHHMMSS();
+                    $scope.client.TotalCalculatingTime = $scope.client.TotalCalculatingTime.toHHMMSS();
+                    $scope.client.TotalIdleTime = $scope.client.TotalIdleTime.toHHMMSS();
+                    $scope.client.TotalOfflineTime = $scope.client.TotalOfflineTime.toHHMMSS();
+                    $scope.client.TotalTransferringTime = $scope.client.TotalTransferringTime.toHHMMSS();
+
+                    var length = client.TasksStates.length;
+                    var total = 0;
+                    var jsStates = [];
+                    for (var i = 0; i < length; ++i) {
+                        var state = client.TasksStates[i];
+                        var selected = true;
+                        if (isDefined($scope.states)) {
+                            for (var j = 0; j < $scope.states.length; ++j) {
+                                if (state.State == $scope.states[j].State) {
+                                    selected = $scope.states[j].Selected;
+                                    break;
+                                }
+                            }
+                        }
+                        jsStates.push({
+                            State: state.State,
+                            Count: state.Count,
+                            Selected: selected
+                        });
+                        total += state.Count;
+                    }
+                    $scope.totalClientTasks = total;
+                    $scope.states = jsStates;
+                    getTasks();
+                });
+            };
+
+            // tasks
+            var getTasks = function () {
+                var states = [];
+                var length = $scope.states.length;
+                for (var i = 0; i < length; ++i) {
+                    var state = $scope.states[i];
+                    if (state.Selected) {
+                        states.push(state.State);
+                    }
+                }
+
+                taskService.getTasksByClientId({ id: $stateParams.id, page: $scope.curTaskPage, size: $scope.taskPageSize }, states,
+                    function (taskPage) {
+                        $scope.taskPage = taskPage;
+                        var length = $scope.taskPage.Tasks.length;
+                        for (var i = 0; i < length; ++i) {
+                            $scope.taskPage.Tasks[i].TotalTime = $scope.taskPage.Tasks[i].TotalTime.toHHMMSS();
+                            $scope.taskPage.Tasks[i].InitialWaitingTime = $scope.taskPage.Tasks[i].InitialWaitingTime.toHHMMSS();
+                            $scope.taskPage.Tasks[i].WaitingTime = $scope.taskPage.Tasks[i].WaitingTime.toHHMMSS();
+                            $scope.taskPage.Tasks[i].CalculatingTime = $scope.taskPage.Tasks[i].CalculatingTime.toHHMMSS();
+                            $scope.taskPage.Tasks[i].TransferTime = $scope.taskPage.Tasks[i].TransferTime.toHHMMSS();
+                            var startTime = $scope.taskPage.Tasks[i].StartTime;
+                            if (isDefined(startTime)) {
+                                $scope.taskPage.Tasks[i].StartTime = CSharpDateToString(startTime);
+                            } else {
+                                $scope.taskPage.Tasks[i].StartTime = 'Not started';
+                            }
+                            var endTime = $scope.taskPage.Tasks[i].EndTime;
+                            if (isDefined(endTime)) {
+                                $scope.taskPage.Tasks[i].EndTime = CSharpDateToString(endTime);
+                            } else {
+                                $scope.taskPage.Tasks[i].EndTime = 'Not finished';
+                            }
+                        }
+                    }
+                );
+            };
+
+            $scope.changeTaskPage = function () {
+                getClientDetails();
+                $('html, body').animate({
+                    scrollTop: $("#tasks-filter").offset().top
+                }, 10);
+            };
+
+            $scope.filterTaskState = function (state) {
+                state.Selected = !state.Selected;
+                $scope.curTaskPage = 1;
+                getClientDetails();
+            };
+
+            $scope.openDialog = function (taskNo, task) {
+                $scope.currentTaskNo = taskNo;
+                $scope.currentTask = task;
+                $modal.open({
+                    templateUrl: 'plugin=statistics&view=WebApp/clients/details/clientTaskDetailsDialog.cshtml',
+                    controller: 'app.statistics.clientTaskDetailsDialogCtrl',
+                    windowClass: 'app-modal-window',
+                    resolve: {
+                        task: function () {
+                            return $scope.currentTask;
+                        },
+                        taskNo: function () {
+                            return $scope.currentTaskNo;
+                        }
+                    }
+                });
+            };
+
+            // charts
+            $scope.chartOptions = {
+                grid: {
+                    borderWidth: 1,
+                    labelMargin: 15
+                },
+                series: {
+                    shadowSize: 0
+                },
+                yaxis: {
+                    min: 0,
+                    max: 100,
+                    zoomRange: false,
+                    panRange: false
+                },
+                xaxis: {
+                    mode: "time",
+                    twelveHourClock: false
+                }
+            };
+
+            $scope.fillChartOptions = {
+                grid: {
+                    borderWidth: 1,
+                    labelMargin: 15
+                },
+                series: {
+                    shadowSize: 0,
+                    lines: {
+                        show: true,
+                        fill: true
+                    }
+                },
+                yaxis: {
+                    zoomRange: false,
+                    panRange: false
+                },
+                xaxis: {
+                    mode: "time",
+                    twelveHourClock: false
+                }
+            };
+
+            $scope.fromDate = new Date();
+            $scope.toDate = new Date();
+
+            $scope.fromIsOpen = false;
+            $scope.toIsOpen = false;
+
+            $scope.openFromDateSelection = function ($event) {
+                $event.preventDefault();
+                $event.stopPropagation();
+                $scope.toIsOpen = false;
+                $scope.fromIsOpen = true;
+            };
+
+            $scope.openToDateSelection = function ($event) {
+                $event.preventDefault();
+                $event.stopPropagation();
+                $scope.fromIsOpen = false;
+                $scope.toIsOpen = true;
+            };
+
+            $scope.dateOptions = {
+                formatYear: 'yy',
+                startingDay: 1
+            };
+
+            $scope.cpuSeries = [[]];
+            $scope.coreSeries = [[]];
+            $scope.memorySeries = [[]];
+
+            $scope.updateCharts = function () {
+                clientService.getClientHistory({ id: $stateParams.id, start: ConvertFromDate($scope.fromDate), end: ConvertToDate($scope.toDate) }, function (status) {
+                    var noOfStatus = status.length;
+                    var cpuSeries = [];
+                    var coreSeries = [[], []];
+                    var memorySeries = [[], []];
+                    for (var i = 0; i < noOfStatus; ++i) {
+                        var curStatus = status[i];
+                        var cpuData = Math.round(curStatus.CpuUtilization);
+                        cpuSeries.push([curStatus.Timestamp, cpuData]);
+                        coreSeries[0].push([curStatus.Timestamp, curStatus.TotalCores]);
+                        coreSeries[1].push([curStatus.Timestamp, curStatus.UsedCores]);
+                        memorySeries[0].push([curStatus.Timestamp, curStatus.TotalMemory]);
+                        memorySeries[1].push([curStatus.Timestamp, curStatus.UsedMemory]);
+                    }
+                    $scope.cpuSeries = [{ data: cpuSeries, label: "&nbsp;CPU Utilization", color: "#f7921d" }];
+                    $scope.coreSeries = [
+                        { data: coreSeries[0], label: "&nbsp;Total Cores", color: "LightGreen" },
+                        { data: coreSeries[1], label: "&nbsp;Used Cores", color: "LightPink" }
+                    ];
+                    $scope.memorySeries = [
+                        { data: memorySeries[0], label: "&nbsp;Total Memory", color: "LightGreen" },
+                        { data: memorySeries[1], label: "&nbsp;Used Memory", color: "LightPink" }
+                    ];
+
+                });
+            };
+
+            var update = function () {
+                getClientDetails();
+            };
+
+            $scope.updateInterval = $interval(update, $scope.interval);
+            var cancelInterval = $scope.$on('$locationChangeSuccess', function () {
+                $interval.cancel($scope.updateInterval);
+                cancelInterval();
+            });
+            update(); // init page
+            $scope.updateCharts();
+        }]
+    );
+})();
